Gravv DOCS
Docs Agent Get Started
API Reference Get saved cards

Get saved cards

Returns all active saved cards for the customer.

GET/v1/collections/cards

Query Parameters

Filter saved cards by customer ID.

Responses

Status Description
200 List of saved cards

200 response

Possible values: visa, mastercard, amex, discover, diners, jcb, unknown

True when the card expires within 30 days

Billing details associated with the saved card, if available

{
"data": [
{
  "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  "card_token": "tokn_80aebb6ea2594a74bc215a64",
  "card_last4": "1111",
  "card_brand": "visa",
  "card_exp_month": "12",
  "card_exp_year": "2028",
  "is_default": true,
  "is_expiring_soon": false,
  "created_at": "2026-04-08T10:00:00Z"
}
],
"error": null
}

Authorization

  • ApiKeyAuth
Was this page helpful?
Assistant
Responses are generated using AI and may contain mistakes.

Ask me anything about the documentation.

ESC